Bug 114405 - No mechanism to efficiently filter by a category subtree.
Summary: No mechanism to efficiently filter by a category subtree.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vadim Nasardinov
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-27 19:35 UTC by Daniel Berrange
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:45:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this implements Dan's suggestion (9.79 KB, patch)
2004-02-02 21:25 UTC, Vadim Nasardinov
no flags Details | Diff

Description Daniel Berrange 2004-01-27 19:35:07 UTC
Description of problem:
While you can filter a list of objects based on a specific category,
by joining across the 'categories' association, there is no equivalent
way to filter based on all categories in a subtree. The current
workaround is to use an inSubqueryFilter, but the categorization API
update was intended to eliminate this approach.

This missing feature can implemented by defining an additional
read-only association that joins with the cat_cat_subcat_trans_index
table. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Vadim Nasardinov 2004-02-02 21:25:10 UTC
Created attachment 97415 [details]
this implements Dan's suggestion

Saving the patch in Bugzilla for now, since the trunk is temporarily
closed at the moment.

All unit tests pass.

Comment 2 Vadim Nasardinov 2004-02-03 17:56:20 UTC
Fixed on the trunk in change 40017.

Comment 3 David Lawrence 2006-07-18 03:39:07 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Daniel Berrange 2006-09-02 17:45:57 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.